Page MenuHomePhabricator

Wikireplicas changes for abuse_filter_log including two new columns
Closed, ResolvedPublic

Description

There are two new columns being added to abuse_filter_log as part of T234052
Those two new columns are:

afl_global tinyint
afl_filter_id

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Marostegui changed the task status from Open to Stalled.Oct 4 2019, 12:41 PM
Marostegui created this task.
Daimona changed the task status from Stalled to Open.Jan 13 2020, 10:37 AM

Unstalling per parent task being resolved (thanks for that!)

Bstorm triaged this task as Medium priority.Feb 11 2020, 4:22 PM

{{ping}}? These columns are now being populated and the old schema is going to be phased out.

Back when I grabbed this, I didn't realize this was actually not a "recreate views" but "expose new columns with any appropriate filters in place". The filter is fairly simple now, but I need to know how the schema is changing and what to key off to filter.

Bstorm renamed this task from Re-create views for abuse_filter_log including two new columns to Wikireplicas changes for abuse_filter_log including two new columns.Mar 10 2021, 12:02 AM

Are we only adding the new columns and not filtering them? @Daimona I don't know what the content is.

The existing config is:

abuse_filter_log:
  source: abuse_filter_log
  view: >
    select afl_id, afl_filter, afl_user, afl_user_text, NULL as
    afl_ip, afl_action, afl_actions, afl_var_dump, afl_timestamp, afl_namespace,
    afl_title, afl_wiki, afl_deleted, afl_patrolled_by, afl_rev_id
  where:
    afl_deleted=0

So is there any notion that afl_deleted might be changing, as a filter and can we expose these new columns with the same filtering? I'll put up a patch to discuss.

Change 670325 had a related patch set uploaded (by Bstorm; owner: Bstorm):
[operations/puppet@production] wikireplicas: add new columns for abuse_filter_log to wikireplicas

https://gerrit.wikimedia.org/r/670325

Are we only adding the new columns and not filtering them? @Daimona I don't know what the content is.

That is correct. These two columns contain the same data as afl_filter, the difference being that afl_filter is not atomic: its values can be global-<numeric ID> or <numeric ID>, whereas the new columns are used to split this information into 2 pieces (afl_global being a boolean-like, and afl_filter_id integer).

Change 670325 merged by Bstorm:
[operations/puppet@production] wikireplicas: add new columns for abuse_filter_log to wikireplicas

https://gerrit.wikimedia.org/r/670325

I believe this is done. Please re-open if that is not correct.